Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.sql
Interface CatalogSqlManager

All Known Implementing Classes:
  JdbcSqlManager, OracleSqlManager

Deprecated See BEA Commerce product offering

    @Deprecated
    public interface CatalogSqlManager

The `CatalogSqlManager` interface defines the API catalog services use to read and write catalog information to a SQL compliant database.
This is an advanced (internal) class and may be subject to change.

Method Summary
`void` | `addItem(Connection connection, CatalogRequest request, CategoryKey categoryKey, ProductItemKey itemKey)` Deprecated See BEA Commerce product offering
`void` | `createCategory(Connection connection, CatalogRequest request, CategoryKey parentKey, Category category)` Deprecated See BEA Commerce product offering
`void` | `createItem(Connection connection, CatalogRequest request, ProductItem product)` Deprecated See BEA Commerce product offering
`Category[]` | `getAncestors(Connection connection, CatalogRequest request, CategoryKey categoryKey)` Deprecated See BEA Commerce product offering
`CatalogSchemaManager` | `getCatalogSchemaManager()` Deprecated See BEA Commerce product offering
`Category[]` | `getCategories(Connection connection, CatalogRequest request, CategoryKey[] categoryKeys)` Deprecated See BEA Commerce product offering
`Category` | `getCategory(Connection connection, CatalogRequest request, CategoryKey categoryKey)` Deprecated See BEA Commerce product offering
`int` | `getCategoryCount(Connection connection, CatalogRequest request)` Deprecated See BEA Commerce product offering
`CategoryKey[]` | `getCategoryKeys(Connection connection, CatalogRequest request, int beginIndex, int endIndex)` Deprecated See BEA Commerce product offering
`ProductItem` | `getItem(Connection connection, CatalogRequest request, ProductItemKey productKey)` Deprecated See BEA Commerce product offering
`int` | `getItemCount(Connection connection, CatalogRequest request)` Deprecated See BEA Commerce product offering
`int` | `getItemCount(Connection connection, CatalogRequest request, CategoryKey categoryKey)` Deprecated See BEA Commerce product offering
`ProductItemKey[]` | `getItemKeys(Connection connection, CatalogRequest request, CategoryKey categoryKey, int beginIndex, int endIndex)` Deprecated See BEA Commerce product offering
`ProductItemKey[]` | `getItemKeys(Connection connection, CatalogRequest request, int beginIndex, int endIndex)` Deprecated See BEA Commerce product offering
`ProductItem[]` | `getItems(Connection connection, CatalogRequest request, ProductItemKey[] productKeys)` Deprecated See BEA Commerce product offering
`JdbcCatalogFactory` | `getJdbcCatalogFactory()` Deprecated See BEA Commerce product offering
`String[]` | `getKeywords(Connection connection, CatalogRequest request, ProductItemKey productKey)` Deprecated See BEA Commerce product offering
`int` | `getOrphanedItemCount(Connection connection, CatalogRequest request)` Deprecated See BEA Commerce product offering
`ProductItemKey[]` | `getOrphanedItemKeys(Connection connection, CatalogRequest request, int beginIndex, int endIndex)` Deprecated See BEA Commerce product offering
`Category` | `getParent(Connection connection, CatalogRequest request, CategoryKey categoryKey)` Deprecated See BEA Commerce product offering
`Category` | `getRootCategory(Connection connection, CatalogRequest request)` Deprecated See BEA Commerce product offering
`int` | `getSiblingCount(Connection connection, CatalogRequest request, CategoryKey categoryKey)` Deprecated See BEA Commerce product offering
`CategoryKey[]` | `getSiblingKeys(Connection connection, CatalogRequest request, CategoryKey categoryKey, int beginIndex, int endIndex)` Deprecated See BEA Commerce product offering
`int` | `getSubCategoryCount(Connection connection, CatalogRequest request, CategoryKey categoryKey)` Deprecated See BEA Commerce product offering
`CategoryKey[]` | `getSubCategoryKeys(Connection connection, CatalogRequest request, CategoryKey categoryKey, int beginIndex, int endIndex)` Deprecated See BEA Commerce product offering
`void` | `initialize(String schemaName)` Deprecated See BEA Commerce product offering
`void` | `moveCategory(Connection connection, CatalogRequest request, CategoryKey categoryKey, CategoryKey newParentKey)` Deprecated See BEA Commerce product offering
`void` | `removeCategory(Connection connection, CatalogRequest request, CategoryKey categoryKey)` Deprecated See BEA Commerce product offering
`void` | `removeItem(Connection connection, CatalogRequest request, CategoryKey categoryKey, ProductItemKey itemKey)` Deprecated See BEA Commerce product offering
`void` | `removeItem(Connection connection, CatalogRequest request, ProductItemKey productKey)` Deprecated See BEA Commerce product offering
`void` | `setKeywords(Connection connection, CatalogRequest request, ProductItemKey productKey, String[] keywords)` Deprecated See BEA Commerce product offering
`void` | `updateCategory(Connection connection, CatalogRequest request, Category category)` Deprecated See BEA Commerce product offering
`void` | `updateItem(Connection connection, CatalogRequest request, ProductItem product)` Deprecated See BEA Commerce product offering

Method Detail

### getCatalogSchemaManager

    CatalogSchemaManager getCatalogSchemaManager()

  Deprecated See BEA Commerce product offering

### getJdbcCatalogFactory

    JdbcCatalogFactory getJdbcCatalogFactory()

  Deprecated See BEA Commerce product offering

### initialize

    void initialize(String schemaName)

  Deprecated See BEA Commerce product offering

### getItemCount

    int getItemCount(Connection connection,
                     CatalogRequest request)
                     throws CatalogException,
                            SQLException

  Deprecated See BEA Commerce product offering

  Returns the number of product items in the product catalog.

  Parameters
    `connection` - The database connection object.
    `request` - The catalog request object.
  Returns
    The number of product items in the product catalog.
  Throws
    `CatalogException` - on general error.
    `SQLException` - on database access error.

### getItem

    ProductItem getItem(Connection connection,
                        CatalogRequest request,
                        ProductItemKey productKey)
                        throws CatalogFinderException,
                               CatalogException,
                               SQLException

  Deprecated See BEA Commerce product offering

  Returns the product item with the specified key.

  Parameters
    `connection` - The database connection object.
    `request` - The catalog request object.
    `productKey` - The key of the target product.
  Throws
    `CatalogFinderException` - if the product item could not be found.
    `CatalogException` - on general error.
    `SQLException` - on database access error.

### getItems

    ProductItem[] getItems(Connection connection,
                           CatalogRequest request,
                           ProductItemKey[] productKeys)
                           throws CatalogFinderException,
                                  CatalogException,
                                  SQLException

  Deprecated See BEA Commerce product offering

  Returns the product items with the given product item keys.

  Parameters
    `connection` - The database connection object.
    `request` - The catalog request object.
    `keys` - The keys of the target product items.
  Returns
    The product items with the given product item keys.
  Throws
    `CatalogFinderException` - if a product item with a given key does not exist.
    `CatalogException` - on general error.
    `SQLException` - on database access error.

### getItemKeys

    ProductItemKey[] getItemKeys(Connection connection,
                                 CatalogRequest request,
                                 int beginIndex,
                                 int endIndex)
                                 throws CatalogException,
                                        SQLException

  Deprecated See BEA Commerce product offering

  Returns an array over all existing product item keys within the specified ordered range.

  Parameters
    `connection` - The database connection object.
    `request` - The catalog request object.
    `beginIndex` - The lower bound index for returned product item keys.
    `endIndex` - The upper bound index for returned product item keys.
  Returns
    An array of the product item keys.
  Throws
    `CatalogException` - on general error.
    `SQLException` - on database access error.

### getKeywords

    String[] getKeywords(Connection connection,
                         CatalogRequest request,
                         ProductItemKey productKey)
                         throws CatalogFinderException,
                                CatalogException,
                                SQLException

  Deprecated See BEA Commerce product offering

  Returns the keywords associated with a given product item.

  Parameters
    `connection` - The database connection object.
    `request` - The catalog request object.
    `productKey` - The key of the target product.
  Returns
    The keywords associated with the given product item. If there are no keywords associated with the item, a zero length <code>String</code> array is returned.
  Throws
    `CatalogFinderException` - if the product item could not be found.
    `CatalogException` - on general error.
    `SQLException` - on database access error.

### setKeywords

    void setKeywords(Connection connection,
                     CatalogRequest request,
                     ProductItemKey productKey,
                     String[] keywords)
                     throws CatalogFinderException,
                            CatalogException,
                            SQLException

  Deprecated See BEA Commerce product offering

  Sets the keywords for a given product item.

  Parameters
    `connection` - The database connection object.
    `request` - The catalog request object.
    `productKey` - The key of the target product.
    `keywords` - The keywords to associate with the given product item.
  Throws
    `CatalogFinderException` - if the product item could not be found.
    `CatalogException` - on general error.
    `SQLException` - on database access error.

### createItem

    void createItem(Connection connection,
                    CatalogRequest request,
                    ProductItem product)
                    throws CatalogCreateException,
                           CatalogException,
                           SQLException

  Deprecated See BEA Commerce product offering

  Creates a new product item.

  Parameters
    `connection` - The database connection object.
    `request` - The catalog request object.
    `product` - The product item to persist.
  Throws
    `CatalogCreateException` - if the product item could not be created.
    `CatalogException` - on general error.
    `SQLException` - on database access error.

### updateItem

    void updateItem(Connection connection,
                    CatalogRequest request,
                    ProductItem product)
                    throws CatalogFinderException,
                           CatalogException,
                           SQLException

  Deprecated See BEA Commerce product offering

  Updates a product item.

  Parameters
    `connection` - The database connection object.
    `request` - The catalog request object.
    `product` - The product item to update.
  Throws
    `CatalogFinderException` - if the product item could not be found.
    `CatalogException` - on general error.
    `SQLException` - on database access error.

### removeItem

    void removeItem(Connection connection,
                    CatalogRequest request,
                    ProductItemKey productKey)
                    throws CatalogRemoveException,
                           CatalogFinderException,
                           CatalogException,
                           SQLException

  Deprecated See BEA Commerce product offering

  Removes a product item.

  Parameters
    `connection` - The database connection object.
    `request` - The catalog request object.
    `product` - The product item to remove.
  Throws
    `CatalogRemoveException` - if the product item could not be removed.
    `CatalogFinderException` - if the product item could not be found.
    `CatalogException` - on general error.
    `SQLException` - on database access error.

### getRootCategory

    Category getRootCategory(Connection connection,
                             CatalogRequest request)
                             throws CatalogCreateException,
                                    CatalogException,
                                    SQLException

  Deprecated See BEA Commerce product offering

  Returns the root category. If the root category does not exist, it will be created.

  Parameters
    `connection` - The database connection object.
    `request` - The catalog request object.
  Returns
    The root category.
  Throws
    `CatalogCreateException` - if the root category could not be created.
    `CatalogException` - on general error.
    `SQLException` - on database access error.

### getCategoryCount

    int getCategoryCount(Connection connection,
                         CatalogRequest request)
                         throws CatalogException,
                                SQLException

  Deprecated See BEA Commerce product offering

  Returns the total number of categories in the product catalog.

  Parameters
    `connection` - The database connection object.
    `request` - The catalog request object.
  Returns
    The total number of categories in the product catalog.
  Throws
    `CatalogException` - on general error.
    `SQLException` - on database access error.

### getItemCount

    int getItemCount(Connection connection,
                     CatalogRequest request,
                     CategoryKey categoryKey)
                     throws CatalogFinderException,
                            CatalogException,
                            SQLException

  Deprecated See BEA Commerce product offering

  Returns the number of product items associated with the specified category.

  Parameters
    `connection` - The database connection object.
    `request` - The catalog request object.
    `categoryKey` - The key of the target category.
  Returns
    The number of product items associated with the specified category.
  Throws
    `CatalogFinderException` - if the specified category could not be found.
    `CatalogException` - on general error.
    `SQLException` - on database access error.

### getSubCategoryCount

    int getSubCategoryCount(Connection connection,
                            CatalogRequest request,
                            CategoryKey categoryKey)
                            throws CatalogFinderException,
                                   CatalogException,
                                   SQLException

  Deprecated See BEA Commerce product offering

  Returns the number of sub categories associated with the specified category.

  Parameters
    `connection` - The database connection object.
    `request` - The catalog request object.
    `categoryKey` - The key of the target category.
  Returns
    The number of sub categories associated with the specified category.
  Throws
    `CatalogFinderException` - if the specified category could not be found.
    `CatalogException` - on general error.
    `SQLException` - on database access error.

### getSiblingCount

    int getSiblingCount(Connection connection,
                        CatalogRequest request,
                        CategoryKey categoryKey)
                        throws CatalogFinderException,
                               CatalogException,
                               SQLException

  Deprecated See BEA Commerce product offering

  Returns the number of siblings associated with the specified category.

  Parameters
    `connection` - The database connection object.
    `request` - The catalog request object.
    `categoryKey` - The key of the target category.
  Returns
    The number of siblings associated with the specified category.
  Throws
    `CatalogFinderException` - if the specified category could not be found.
    `CatalogException` - on general error.
    `SQLException` - on database access error.

### getOrphanedItemCount

    int getOrphanedItemCount(Connection connection,
                             CatalogRequest request)
                             throws CatalogException,
                                    SQLException

  Deprecated See BEA Commerce product offering

  Returns the number of orphaned items in the catalog.

  Parameters
    `connection` - The database connection object.
    `request` - The catalog request object.
  Returns
    The number of orphaned items in the catalog.
  Throws
    `CatalogException` - on general error.
    `SQLException` - on database access error.

### getCategory

    Category getCategory(Connection connection,
                         CatalogRequest request,
                         CategoryKey categoryKey)
                         throws CatalogFinderException,
                                CatalogException,
                                SQLException

  Deprecated See BEA Commerce product offering

  Returns the category with the given category key.

  Parameters
    `connection` - The database connection object.
    `request` - The catalog request object.
    `categoryKey` - The key of the target category.
  Returns
    The category with the given category key.
  Throws
    `CatalogFinderException` - if a category with the given key does not exist.
    `CatalogException` - on general error.
    `SQLException` - on database access error.

### getCategories

    Category[] getCategories(Connection connection,
                             CatalogRequest request,
                             CategoryKey[] categoryKeys)
                             throws CatalogFinderException,
                                    CatalogException,
                                    SQLException

  Deprecated See BEA Commerce product offering

  Returns the categories with the given category keys.

  Parameters
    `connection` - The database connection object.
    `request` - The catalog request object.
    `keys` - The keys of the target categories.
  Returns
    The categories with the given category keys.
  Throws
    `CatalogFinderException` - if a category with a given key does not exist.
    `CatalogException` - on general error.
    `SQLException` - on database access error.

### getCategoryKeys

    CategoryKey[] getCategoryKeys(Connection connection,
                                  CatalogRequest request,
                                  int beginIndex,
                                  int endIndex)
                                  throws CatalogException,
                                         SQLException

  Deprecated See BEA Commerce product offering

  Returns an array of all existing category keys within the specified ordered range.

  Parameters
    `connection` - The database connection object.
    `request` - The catalog request object.
    `beginIndex` - The lower bound index for returned category keys.
    `endIndex` - The upper bound index for returned category keys.
  Returns
    An array of the category keys.
  Throws
    `CatalogException` - on general error.
    `SQLException` - on database access error.

### getSiblingKeys

    CategoryKey[] getSiblingKeys(Connection connection,
                                 CatalogRequest request,
                                 CategoryKey categoryKey,
                                 int beginIndex,
                                 int endIndex)
                                 throws CatalogException,
                                        SQLException

  Deprecated See BEA Commerce product offering

  Returns an array of all exististing sibling keys of the specified category within the specified ordered range.

  Parameters
    `connection` - The database connection object.
    `request` - The catalog request object.
    `categoryKey` - The key of the target category.
    `beginIndex` - The lower bound index for returned sibling keys.
    `endIndex` - The upper bound index for returned sibling keys.
  Returns
    An array of the sibling keys.
  Throws
    `CatalogException` - on general error.
    `SQLException` - on database access error.

### getSubCategoryKeys

    CategoryKey[] getSubCategoryKeys(Connection connection,
                                     CatalogRequest request,
                                     CategoryKey categoryKey,
                                     int beginIndex,
                                     int endIndex)
                                     throws CatalogException,
                                            SQLException

  Deprecated See BEA Commerce product offering

  Returns an array of all sub category keys of the specified category within the specified ordered range.

  Parameters
    `connection` - The database connection object.
    `request` - The catalog request object.
    `categoryKey` - The key of the target category.
    `beginIndex` - The lower bound index for returned sub category keys.
    `endIndex` - The upper bound index for returned sub category keys.
  Returns
    An array of all the sub category keys.
  Throws
    `CatalogException` - on general error.
    `SQLException` - on database access error.

### getAncestors

    Category[] getAncestors(Connection connection,
                            CatalogRequest request,
                            CategoryKey categoryKey)
                            throws CatalogException,
                                   SQLException

  Deprecated See BEA Commerce product offering

  Returns the ancestors of the specified category in ascending order.

  Parameters
    `connection` - The database connection object.
    `request` - The catalog request object.
    `categoryKey` - The key of the target category.
  Returns
    An array of ancestor categories in ascending order.
  Throws
    `CatalogException` - on general error.
    `SQLException` - on database access error.

### getParent

    Category getParent(Connection connection,
                       CatalogRequest request,
                       CategoryKey categoryKey)
                       throws CatalogFinderException,
                              CatalogException,
                              SQLException

  Deprecated See BEA Commerce product offering

  Returns the parent of the specified category.

  Parameters
    `connection` - The database connection object.
    `request` - The catalog request object.
    `categoryKey` - The key of the target category.
  Returns
    The parent of the specified category.
  Throws
    `CatalogFinderException` - if the parent could not be found. This could happen if the specified category does not exist or is the root category.
    `CatalogException` - on general error.
    `SQLException` - on database access error.

### getItemKeys

    ProductItemKey[] getItemKeys(Connection connection,
                                 CatalogRequest request,
                                 CategoryKey categoryKey,
                                 int beginIndex,
                                 int endIndex)
                                 throws CatalogException,
                                        SQLException

  Deprecated See BEA Commerce product offering

  Returns an array of all product item keys of the specified category within the specified ordered range.

  Parameters
    `connection` - The database connection object.
    `request` - The catalog request object.
    `categoryKey` - The key of the target category.
    `beginIndex` - The lower bound index for returned product item keys.
    `endIndex` - The upper bound index for returned product item keys.
  Returns
    An array of all the product item keys.
  Throws
    `CatalogException` - on general error.
    `SQLException` - on database access error.

### getOrphanedItemKeys

    ProductItemKey[] getOrphanedItemKeys(Connection connection,
                                         CatalogRequest request,
                                         int beginIndex,
                                         int endIndex)
                                         throws CatalogException,
                                                SQLException

  Deprecated See BEA Commerce product offering

  Returns an array of all existing orphaned category keys within the specified ordered range.

  Parameters
    `connection` - The database connection object.
    `request` - The catalog request object.
    `beginIndex` - The lower bound index for returned category keys.
    `endIndex` - The upper bound index for returned category keys.
  Returns
    An array of the orphaned category keys.
  Throws
    `CatalogException` - on general error.
    `SQLException` - on database access error.

### createCategory

    void createCategory(Connection connection,
                        CatalogRequest request,
                        CategoryKey parentKey,
                        Category category)
                        throws CatalogCreateException,
                               CatalogException,
                               SQLException

  Deprecated See BEA Commerce product offering

  Creates a sub category within the supplied parent category.

  Parameters
    `connection` - The database connection object.
    `request` - The catalog request object.
    `parentKey` - The key of the target parent category.
    `category` - The category to persist.
  Throws
    `CatalogCreateException` - on category creation error.
    `CatalogException` - on general error.
    `SQLException` - on database access error.

### removeCategory

    void removeCategory(Connection connection,
                        CatalogRequest request,
                        CategoryKey categoryKey)
                        throws CatalogRemoveException,
                               CatalogFinderException,
                               CatalogException,
                               SQLException

  Deprecated See BEA Commerce product offering

  Removes the specifed category.

  Parameters
    `connection` - The database connection object.
    `request` - The catalog request object.
    `categoryKey` - The key of the target category.
  Throws
    `CatalogRemoveException` - if the specified category could not be removed.
    `CatalogFinderException` - if the specified category could not be found.
    `CatalogException` - on general error.
    `SQLException` - on database access error.

### updateCategory

    void updateCategory(Connection connection,
                        CatalogRequest request,
                        Category category)
                        throws CatalogFinderException,
                               CatalogException,
                               SQLException

  Deprecated See BEA Commerce product offering

  Updates the specifed category.

  Parameters
    `connection` - The database connection object.
    `request` - The catalog request object.
    `category` - The category to update.
  Throws
    `CatalogFinderException` - if the specified category could not be found.
    `CatalogException` - on general error.
    `SQLException` - on database access error.

### moveCategory

    void moveCategory(Connection connection,
                      CatalogRequest request,
                      CategoryKey categoryKey,
                      CategoryKey newParentKey)
                      throws CatalogFinderException,
                             CatalogException,
                             SQLException

  Deprecated See BEA Commerce product offering

  Moves the specifed category.

  Parameters
    `connection` - The database connection object.
    `request` - The catalog request object.
    `categoryKey` - The key of the target category.
    `parentKey` - The key of the new parent category.
  Throws
    `CatalogFinderException` - if the specified target or parent category could not be found.
    `CatalogException` - on general error.
    `SQLException` - on database access error.

### addItem

    void addItem(Connection connection,
                 CatalogRequest request,
                 CategoryKey categoryKey,
                 ProductItemKey itemKey)
                 throws CatalogFinderException,
                        CatalogException,
                        SQLException

  Deprecated See BEA Commerce product offering

  Adds an item to the specified category.

  Parameters
    `connection` - The database connection object.
    `request` - The catalog request object.
    `categoryKey` - The key of target category.
    `itemKey` - The key of the target item.
  Throws
    `CatalogFinderException` - if the target category or item could not be found.
    `CatalogException` - on general error.
    `SQLException` - on database access error.

### removeItem

    void removeItem(Connection connection,
                    CatalogRequest request,
                    CategoryKey categoryKey,
                    ProductItemKey itemKey)
                    throws CatalogFinderException,
                           CatalogException,
                           SQLException

  Deprecated See BEA Commerce product offering

  Removes an item from the specified category.

  Parameters
    `connection` - The database connection object.
    `request` - The catalog request object.
    `categoryKey` - The key of target category.
    `itemKey` - The key of the target item.
  Throws
    `CatalogFinderException` - if the target category could not be found.
    `CatalogException` - on general error.
    `SQLException` - on database access error.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved